import 'package:dart_json_mapper/dart_json_mapper.dart';

import 'enums/server_response_type.dart';

/// Representa a resposta do servidor, quando houve algum erro/alerta.
@jsonSerializable
class BadServerResponse {
  /// ID do log gerado pelo erro.
  String? logId;

  /// Tipo de retorno.
  ServerResponseType? type;

  /// Mensagem de retorno.
  String message;

  /// Indica se é uma regra de negócio.
  bool? isBusinessException;

  /// Regras que foram quebradas.
  Map<String, Object>? brokenRules;

  BadServerResponse(
      {this.logId,
      this.type = ServerResponseType.error,
      required this.message,
      this.isBusinessException = false,
      this.brokenRules = const <String, Object>{}});
}
