import 'package:flutter/widgets.dart';
import 'package:http_interceptor/http/interceptor_contract.dart';

import 'ix_mobile_security_config.dart';

/// Representa a configuração da biblioteca.
class IxMobileConfig {
  /// Nome da aplicação.
  String applicationName;

  /// Identificador da aplicação.
  String applicationId;

  /// Contexto da aplicação.
  BuildContext context;

  /// URL base das requisições HTTP da aplicação cliente.
  String? baseUrl;

  /// Versão padrão da API, se houver.
  /// Se informada, será utilizada após o /api.
  String? defaultApiVersion;

  /// Indica se deve exibir o botão de reportar erro quando uma exceção é gerada no servidor.
  bool displayReportErrorButton;

  /// Configuração da segurança.
  IxMobileSecurityConfig? securityConfig;

  /// Interceptadores HTTP personalizados.
  List<InterceptorContract> interceptors;

  IxMobileConfig(
      {required this.applicationName,
      required this.applicationId,
      required this.context,
      this.displayReportErrorButton = false,
      this.securityConfig,
      this.interceptors = const <InterceptorContract>[],
      this.baseUrl,
      this.defaultApiVersion});
}
