import 'column_filter.dart';
import 'column_sort.dart';

/// Representa a requisição enviada ao servidor para realizar pesquisas.
class SearchRequestModel {
  /// Texto a ser pesquisado.
  String? description;

  /// IDs dos itens-pai, se houver.
  /// Se informado, restringe a pesquisa apenas aos itens-filhos dos IDs informados.
  List<String>? baseIds;

  /// Filtros.
  List<ColumnFilter>? filters = <ColumnFilter>[];

  /// Definições de ordenação.
  List<ColumnSort>? sortings = <ColumnSort>[];

  /// Página atual.
  int? pageIndex;

  /// Tamanho da página.
  int? pageSize;

  SearchRequestModel({this.description, this.baseIds, this.filters, this.sortings, this.pageIndex, this.pageSize});
}
