/// Representa o retorno de uma consulta.
class SearchResponseModel<T> {
  /// Registros.
  List<T> records = <T>[];

  /// Quantidade de itens por página.
  late int pageSize;

  /// Página atual, se houver.
  late int pageIndex;

  /// Quantidade total de registros da consulta atual.
  late int totalRecords;

  /// Quantidade total de registros no servidor.
  /// Obs: Utilizado normalmente para conferir se tem algo a mais para consultar no servidor.
  /// Caso contrário, pode-se seguramente usar os dados locais.
  late int totalServerRecords;

  /// Índice da página a partir da qual os resultados serão retornados.
  late int indexFrom;

  /// Indica se tem página anterior.
  late bool hasPreviousPage;

  /// Indica se tem próxima página.
  late bool hasNextPage;
}
