import 'package:injector/injector.dart';

/// Obtém uma instância do serviço solicitado.
T getService<T>() {
  final injector = Injector.appInstance;
  return injector.get<T>();
}

/// Registra um serviço.
void registerService<T>(T instance) {
  final injector = Injector.appInstance;
  injector.registerDependency<T>(() => instance);
}

/// Registra um serviço como singleton.
void registerSingletonService<T>(T instance) {
  final injector = Injector.appInstance;
  injector.registerSingleton<T>(() => instance);
}

/// Registra um serviço.
void registerServiceWithFactory<T>(Factory<T> factory) {
  final injector = Injector.appInstance;
  injector.register(factory);
}
