/// Utilitários para String.
extension StringUtils on String {
  /// Remove a última barra (/) da URL, se houver.
  String trimTrailingSlash() {
    return replaceFirst(RegExp(r'/$'), '');
  }

  /// Remove a primeira e última barra (/) da URL, se houver.
  String trimLeadingAndTrailingSlash() {
    return replaceFirst(RegExp(r'^/|/$'), '');
  }
}

/// Utilitários para String que aceitam nulo.
extension NullableStringUtils on String? {
  /// Verifica se a string está nula ou vazia.
  bool get isNullOrEmpty => this?.isEmpty ?? true;
}
