import 'string_extensions.dart';

/// Ferramentas para tratar URLs.
class UrlTools {
  /// Gera uma URL.
  /// [url] Controller/Action da URL, [baseUrl] Base da URL, [isBase] Indica que não deve usar "/api/", que a URL já é base,
  /// [id] ID do registro e [version] Versão da API, se houver.
  static String getUrl(String url, String baseUrl, {bool isBase = false, Object? id, String? version = ""}) {
    var currentUrl = baseUrl.trimTrailingSlash();

    if (!isBase) {
      currentUrl += "/api";
    }

    if (version?.isNotEmpty ?? false) {
      currentUrl += "/$version";
    }

    currentUrl += "/${url.trimLeadingAndTrailingSlash()}";

    if (id != null && id.toString().isNotEmpty) {
      currentUrl += "/$id";
    }

    return currentUrl;
  }
}
