import 'package:flutter/widgets.dart';
import 'package:injector/injector.dart';

import '../models/ix_mobile_config.dart';

/// Obtém a configuração informada para a XDK.
IxMobileConfig getXDKConfig() {
  final injector = Injector.appInstance;
  return injector.get<IxMobileConfig>();
}

/// Registra a configuração da XDK.
void registerXDKConfig(IxMobileConfig config) {
  final injector = Injector.appInstance;
  injector.registerSingleton<IxMobileConfig>(() => config);
}

/// Atualiza o [context] na configuração da XDK.
void updateXDKConfigContext(BuildContext context) {
  final injector = Injector.appInstance;
  var config = getXDKConfig();
  config.context = context;

  injector.registerSingleton<IxMobileConfig>(() => config, override: true);
}
