import 'enums/http_content_type.dart';

/// Modelo de uma requisição
class RequestModel {
  /// URL.
  String? url;

  /// ID do registro, se houver.
  Object? id;

  /// Versão da API.
  String? version;

  /// Objeto a ser enviado no corpo (body).
  Object? data;

  /// Indica se é uma URL base (se deve ignorar o "/api/").
  bool isBase;

  /// Indica se a url informada é absoluta.
  bool isAbsolute;

  /// Tipo do conteúdo sendo enviado.
  String contentType;

  /// Tipo do conteúdo a ser recebido.
  String? responseType;

  /// Parâmetros de URL, se houver.
  Map<String, Object> params;

  /// Cabeçalhos.
  Map<String, String> headers;

  RequestModel(
      {this.url,
      this.id,
      this.version,
      this.data,
      this.isBase = false,
      this.isAbsolute = false,
      this.contentType = HttpContentType.applicationJson,
      this.responseType,
      this.params = const <String, Object>{},
      this.headers = const <String, String>{}});
}
